#167 Deprecated Functions

open-fixed
nobody
libraries (21)
5
2013-04-24
2013-04-08
No

Won't compile against glib 2.36 or any glib newer than 2.32.4

fileLogger.c:306:4: error: 'g_static_mutex_get_mutex_impl' is deprecated (declared at /usr/include/glib-2.0/glib/deprecated/gthread.h:149): Use 'GMutex' instead [-Werror=deprecated-declarations]

Discussion

  • Dmitry Torokhov

    Dmitry Torokhov - 2013-04-24
    • status: open --> open-fixed
     
  • Dmitry Torokhov

    Dmitry Torokhov - 2013-04-24

    This should be fixed now (in rthe sense that -Wno-deprecated-declarations flag is added, we are still using deprecated functions as we supporting glib starting with 2.14).

     

Log in to post a comment.